Subject: RE: gnulib, as part of coreutils-8.21, some changes needed

From: "Joachim Schmitz" <[email-masked]>
Date: Mon, 4 Mar 2013 21:12:40 +0100

Hi folks
 
In an attempt to port coreutils 8.21 to HP-NonStop I stumbled accross a couple problems, here are my fixes to them:

I had to tweak configure like this
diff -EBbu ./configure.orig ./configure
--- ./configure.orig    2013-02-14 09:54:18 -0600
+++ ./configure 2013-02-18 11:04:51 -0600
@@ -8134,7 +8134,7 @@

-ALLOCA=\${LIBOBJDIR}alloca.$ac_objext
+ALLOCA=alloca.$ac_objext

 $as_echo "#define C_ALLOCA 1" >>confdefs.h

Otherwise make complained "no rule to make target lib/lib/alloca.o", I'm pretty sure though that there got to be a better fix for this

There are quite a few more changes that pertain to the recursive directory traversal

Bye, Jojo